import { Component, OnInit } from '@angular/core';
import { NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';
import { Account, Principal } from '../shared';
import {OverAllService} from '../overAll/overAll.service';

@Component({
    selector: 'jhi-home',
    templateUrl: './home.component.html',
    styleUrls: [
        'home.css'
    ]

})
export class HomeComponent implements OnInit {

    leftOneChart;
    leftTwoChart;
    rightOneChart;
    rightTwoChart;

    constructor(
        private overAllSer:OverAllService,
        private principal: Principal,
        private eventManager: JhiEventManager
    ) {
    }

    ngOnInit() {
        this.findGroupCount();
        this.findHostCount();
    }

    findGroupCount(){
        this.overAllSer.findGroupCount().subscribe(
            (res)=>{

            }
        )
    }

    findHostCount(){
        this.overAllSer.findHostCount().subscribe(
            (res)=>{

            }
        )
    }

    search(){

    }
}
